Name:           showimg
Version:        0.9.5
Release:        26%{?dist}
Summary:        Feature-rich image viewer

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.jalix.org/projects/showimg
Source0:        http://www.jalix.org/projects/showimg/download/0.9.5/showimg-0.9.5.tar.bz2
Patch0:         showimg-0.9.5-gcc43.patch
Patch1:		showimg-0.9.5-gcc44.patch
# Both patches have been sent to author (rgroult [AT] jalix [DOT] org) on 2009/04/19
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake libtool
BuildRequires:  desktop-file-utils
BuildRequires:  kdebase3-devel
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  libkexif-devel, libexif-devel
BuildRequires:  mysql-devel
## build broken with f12+'s libpqxx-3.0
%if 0%{?fedora} > 11
Obsoletes: %{name}-pgsql < 0.9.5-24
%else
BuildRequires: libpqxx-devel
BuildConflicts: libpqxx-devel >= 3.0
%define _enable_pgsql --enable-pgsql
%define dt_vendir fedora
%endif

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
ShowImg is a feature-rich image viewer including an
image management system. It is highly configurable and supports
numerous image formats.


%package mysql
Summary:        MySQL plugin for the Showimg image database
Group:          Applications/Multimedia
Requires:       %{name} = %{version}-%{release}

%description mysql
This is the plugin to use MySQL as the backend for Showimg's image
database


%package pgsql
Summary:        PostgreSQL plugin for the Showimg image database
Group:          Applications/Multimedia
Requires:       %{name} = %{version}-%{release}

%description pgsql
This is the plugin to use PostgreSQL as the backend for Showimg's image
database


%prep
%setup -q
%patch0 -p0 -b .gcc43
%patch1 -b .gcc44
#perl -pi -e 's/KDE_DOCS=AUTO/KDE_DOCS=showimg/g' doc/??/Makefile.am

# "checking for working mktime" hangs for me(f11/x86_64) -- Rex
sed -iautofoo \
  -e 's|autoconf\*2.5\*|autoconf\*2.5\* \| autoconf\*2.6\*|' \
  -e 's|autoheader\*2.5\*|autoheader\*2.5\* \| autoheader\*2.6\*|' \
  -e 's|automake\*1.9\*|automake\*1.9\* \| automake\*1.1[0-5]\*|' \
  admin/cvs.sh
make -f admin/Makefile.common


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt3.sh
%configure --disable-rpath \
           --disable-debug \
           --disable-libkipi \
           --enable-mysql \
           %{?_enable_pgsql} %{?!_enable_pgsql:--disable-pgsql} \
           --with-kexif \
           -with-showimgdb

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --vendor=%{?dt_vendor} --delete-original \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category=Viewer \
  --add-category=Graphics \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/showimg.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/apps/showimg/convert2png.pl

%find_lang %{name}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc showimg/AUTHORS showimg/COPYING showimg/ChangeLog showimg/NEWS showimg/README
%{_bindir}/*
%{_datadir}/applications/kde/*showimg.desktop
%{_datadir}/apps/showimg/
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/showimgpart/
%{_datadir}/services/showimgpart.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/doc/HTML/*/showimg/
%{_datadir}/mimelnk/image/*.desktop
%{_libdir}/kde3/libshowimgpart.*
%{_libdir}/libshowimgcore.*
%{_libdir}/kde3/showimg_kexidb_sqlite*driver.*
%{_libdir}/libshowimgkexi*
%{_datadir}/services/showimg_kexidb_sqlite*driver.desktop
%{_datadir}/servicetypes/showimg_kexidb_driver.desktop

%files mysql
%{_libdir}/kde3/showimg_kexidb_mysqldriver.*
%{_datadir}/services/showimg_kexidb_mysqldriver.desktop

%if 0%{?_enable_pgsql:1}
%files pgsql
%{_libdir}/kde3/showimg_kexidb_pqxxsqldriver.*
%{_datadir}/services/showimg_kexidb_pqxxsqldriver.desktop
%endif


%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.5-26
- rebuilt with new openssl

* Sun Aug 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.9.5-25
- FTBFS showimg-0.9.5-22.fc11 (#511576)
- disable pgsql support for f12+
- add icon/mime scriptlets
- %%description/%%summary: s/for KDE//

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-23
- rebuild

* Sun Apr 19 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.9.5-22
- Fix FTBFS: added showimg-0.9.5-gcc44.patch.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-20
- rebuild for mysql

* Sun Aug 03 2008 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-19
- drop libkipi support (for KDE4)

* Thu Jun 05 2008 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-18
- fix build

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.5-17
- Autorebuild for GCC 4.3

* Sun Dec 09 2007 Alex Lancaster <alexlan [AT] fedoraproject.org> - 0.9.5-16 
- Drop versioning of kdebase3-devel BuildRequires

* Sun Dec 09 2007 Alex Lancaster <alexlan [AT] fedoraproject.org> - 0.9.5-15 
- BuildRequires: kdebase-devel -> kdebase3-devel

* Sun Dec 09 2007 Alex Lancaster <alexlan [AT] fedoraproject.org> - 0.9.5-14 
- Rebuild for new openssl soname bump

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-13
- fix license tag
- rebuild for BuildID

* Sat Oct 28 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-12
- rebuild time !

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.5-11
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-10
- yep, just that

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-9
- guess what...

* Thu Jun 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-8
- rebuild (again)

* Thu Jun 01 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-7
- rebuild

* Wed May 31 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-6
- rebuild for new libpqxx

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-5
- rebuild

* Sun Jan 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-4
- fix pqxx detection on x86_64

* Sat Jan 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-3
- fix improper QT detection

* Sat Jan 14 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-1
- version 0.9.5

* Sun Jul 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0.9.4.1-4
- rebuild for libexif
- use dist tags

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.4.1-3
- add missing %%dir entry for showimgpart directory

* Mon Jan 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4.1-2
- rebuild for libkexif 0.2.1

* Thu Jan 20 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4.1-0.fdr.1
- version 0.9.4-1: fixes a dependency problem on libkexif 0.2.x

* Wed Dec 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.2
- fix BuildRequires

* Tue Nov 30 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.1
- version 0.9.4 final
- remove perl script requiring the GIMP module until it is packaged

* Mon Nov 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.0.3.rc2
- update to rc2

* Mon Nov 15 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.0.2.rc1
- update to rc1

* Sun Sep 26 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.1
- version 0.9.4
- drop support for FC1 (EOL)
- use libkipi for plugins

* Tue Jul 06 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.1
- version 0.9.3
- make digikam support conditionnal

* Tue Mar 23 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.1
- version 0.9.2

* Mon Mar 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.fdr.2
- let rpm set dependencies on libjpeg and kdelibs
- desktop file for kde32 should not have the fedora prefix

* Sun Mar 21 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.fdr.1
- Initial RPM release.
